package com.huigou.topsun.sap.costCenter.application;

import com.huigou.topsun.sap.costCenter.domain.CostCenter;
import com.huigou.topsun.sap.costCenter.domain.query.CostCenterQueryRequest;
import com.huigou.topsun.sap.costCenter.domain.vo.CostCenterMessageVo;
import com.huigou.topsun.sap.costCenter.domain.vo.CostCenterVo;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2023/12/13/11:09
 * @Description:
 */
public interface CostCenterApplication {

    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/costCenter/costCenter.xml";

    String PROCESS_DEFINITION_KEY = "costCenterProc";


    Map<String,Object> getCostCenterList(CostCenterQueryRequest costCenterQueryRequest);

    CostCenterVo findCostCenterById(String id);

    void deleteCostCenterById(List<String> ids);

    void updateCostCenter(CostCenter costCenter);

    void saveCostCenter(CostCenter costCenter);

    CostCenterVo saveAndUpdate(CostCenter costCenter);

    Map<String, Object> slicedCostCenterList(CostCenterQueryRequest queryRequest);

    int updateCostCenterStatus(List<String> ids);

    public CostCenter sendSapCenterData(CostCenter costCenter);
}
